MAUS - Bug #1291

running maus on fedora18
17 June 2013 13:45 - Kyberd, Paul

Status: Closed Start date: 17 June 2013
Priority: Normal Due date:

Assignee: Taylor, lan % Done: 100%
Category: Build System Estimated time: 0.00 hour
Target version: MAUS-v0.5.5

Workflow: Under Test

Description

complaining about freetype - but a yum install says it is up to date.
Not sure where to go next

History

#1 - 17 June 2013 14:59 - Taylor, lan
- Assignee set to Taylor, lan

- Workflow changed from New Issue to Under Test

Hi Paul,

my guess is that you have freetype installed through yum, but not the freetype-devel package, which provides the header library that is being
requested.

As a general rule, instead of guessing at matching file names to packages, you can run the following yum command to confirm which package
provides a requested file:

yum provides */freetype/config/ftheader.h
On my machine, this produces the following output:

Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
* fedora: mirror.steadfast.net
* updates: mirror.steadfast.net
freetype-devel-2.4.10-2.fc18.1686 : FreeType development libraries and header files

Repo : fedora
Matched from:
Filename : /usr/include/freetype2/freetype/config/ftheader.h

freetype-devel-2.4.10-2.£fc18.x86_64 : FreeType development libraries and header files

Repo : fedora
Matched from:
Filename : /usr/include/freetype2/freetype/config/ftheader.h

freetype-devel-2.4.10-4.£c18.i686 : FreeType development libraries and header files

Repo : updates
Matched from:
Filename : /usr/include/freetype2/freetype/config/ftheader.h

freetype-devel-2.4.10-4.fcl18.x86_64 : FreeType development libraries and header files

Repo : updates
Matched from:
Filename : /usr/include/freetype2/freetype/config/ftheader.h

mingw32-freetype-2.4.10-2.fcl8.noarch : Free and portable font rendering engine

Repo : fedora
Matched from:
Filename : /usr/i1686-w64-mingw32/sys-root/mingw/include/freetype2/freetype/config/ftheader.h

mingw32-freetype-2.4.11-1.fcl8.noarch : Free and portable font rendering engine

Repo : updates
Matched from:
Filename : /usr/i686-w64-mingw32/sys-root/mingw/include/freetype2/freetype/config/ftheader.h
mingw64-freetype-2.4.10-2.fcl8.noarch : Free and portable font rendering engine

Repo : fedora
Matched from:
Filename : /usr/x86_64-w64-mingw32/sys-root/mingw/include/freetype2/freetype/config/ftheader.h

mingw64-freetype-2.4.11-1.fcl8.noarch : Free and portable font rendering engine

Repo : updates
Matched from:
Filename : /usr/x86_64-w64-mingw32/sys-root/mingw/include/freetype2/freetype/config/ftheader.h

freetype-devel-2.4.10-4.£c18.x86_64 : FreeType development libraries and header files

Repo : @Qupdates
Matched from:
Filename : /usr/include/freetype2/freetype/config/ftheader.h

which is a bit long. However, it is clear that most entries are for freetype-devel, with various versions and architectures available, but all you need is
yum install freetype-devel
and yum will determine the best version (correct architecture, latest version).

#2 - 17 June 2013 16:00 - Kyberd, Paul

I didn't think of the yum trick because | didn't think it was a package problem, although | should have tried it.
but yum install freetype-devel says all packages are upto date and a find . -name ftheader.h gives me a hit at
/usr/include/freetype2/freetype/config/ftheader.h

#3 - 18 June 2013 10:13 - Kyberd, Paul
- File install.log added

| tried hacking the include file to point directly at the freetype file.

Then there was a problem that libXft header files were needed- so | downloaded libXft-devel.
Now when running | hit another problem with freetype.h also from the root build phase.
Rather than continuing to hack files one at a time is there anyway to "easily" alter/add the
required include path into the root build

#4 - 18 June 2013 12:15 - Rogers, Chris
- Category set to Build System

- Target version set to Future MAUS release

#5 - 18 June 2013 12:21 - Rogers, Chris

Just as a point of information, 21root.bash runs a script third_party/install/bin/library_finder.py that walks the directory structure up from /usr searching
for .so files - but it does not search for .h files.

#6 - 18 June 2013 16:13 - Taylor, lan

Hi Paul,

looking at the new log file, I've seen a line that says:

Checking for freetype-config ... /home/paul/Enthought/Canopy_64bit/User/bin/freetype-config

This is probably the point where it is getting the wrong location for the include files.

On my system, | see:

Checking for freetype-config ... /usr/bin/freetype-config

and running the command gives:

[epics@dhcp241 ~]$ freetype-config --cflags

-I/usr/include/freetype?2

which is the correct location.

So, my guess is that you have had a different freetype installed in the past, and that your PATH variable is still pointing to the Canopy_64bit bin
directory. If you remove that from your PATH, then the script will find the system wide version, and go from there. | would also guess that the
Canopy stuff is not MAUS related. | would suggest that if the same machine is going to be used for multiple pieces of work, then instead of putting

project specific PATH elements (or any environment variables) into your .bashrc, they should instead go into scripts that you source when you decide
to do MICE work, or Canopy work, or whatever.
#7 - 19 June 2013 10:33 - Kyberd, Paul

OK - I'll try getting rid of Canopy - it is in fact a python IDE, but more importantly it comes with a

whole set of useful libraries including graphics and plotting.

#8 - 19 June 2013 11:26 - Kyberd, Paul

Builds and runs tests sucessfully.
Can someone update the documentation to point out the incompatibility

#9 - 20 June 2013 17:25 - Rogers, Chris
- Status changed from Open to Closed
- % Done changed from 0 to 100

Documentation was updated.

#10 - 10 July 2013 04:46 - Rajaram, Durga
- Target version changed from Future MAUS release to MAUS-v0.5.5

Files

install.log 4.51 MB 17 June 2013 Kyberd, Paul

install.log 4.51 MB 18 June 2013 Kyberd, Paul
